org.apache.lucene.luke.app.desktop.components.fragments.analysis

## Interface PresetAnalyzerPanelOperator

All Superinterfaces:
  ComponentOperatorRegistry.ComponentOperator

All Known Implementing Classes:
  PresetAnalyzerPanelProvider

    public interface PresetAnalyzerPanelOperator
    extends ComponentOperatorRegistry.ComponentOperator

Operator of the preset analyzer panel

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setPresetAnalyzers(Collection<Class<? extends Analyzer>> presetAnalyzers)`
`void` `setSelectedAnalyzer(Class<? extends Analyzer> analyzer)`

### Method Detail

#### setPresetAnalyzers

    void setPresetAnalyzers(Collection<Class<? extends Analyzer>> presetAnalyzers)

#### setSelectedAnalyzer

    void setSelectedAnalyzer(Class<? extends Analyzer> analyzer)